<?php

        $jSon['retorno'] = "Retorno da Ação!";

        

$getPost = filter_input_array(INPUT_POST, FILTER_DEFAULT);

$setPost = array_map("strip_tags", $getPost);

$post = array_map("trim", $setPost);



$post['news_data'] = date('Y-m-d H:i:s');



$action = $post['action'];

$jSon = array();

unset($post['action']);





if($action):

    require ('../../_app/Config.inc.php');

    $Create = new Create;

endif;



switch ($action):

    case 'create':

        if(in_array('', $post)):

            $jSon['error'] = "Preencha todos os campos!";            

        elseif(!Check::Email($post['news_email']) || !filter_var($post['news_email'], FILTER_VALIDATE_EMAIL)):

            $jSon['error'] = "Favor informe um email valido!";   

        else:

            $Create->ExeCreate("tp_newsletter", $post);

            $jSon['sucesso'] = "Cadastro com sucesso!";

        endif;

        break;

    default :

        $jSon['error'] = "Erro ao selecionar Ação!";

endswitch;



echo json_encode($jSon);

